class dcm4chee::dcm4chee ( $prefix, $dcm4chee_basedir, $jboss_basedir, $dcm4chee_arr_basedir ) {
  $version = 'dcm4chee-2.17.1-mysql'
  $basedir = "${prefix}/${version}"

  File {
    owner => 'root',
    group => 'root',
    mode  => '0644'
  }

  Exec {
    cwd         => "${basedir}/bin",
    logoutput   => on_failure,
  }

  dcm4chee::download { $version:
    prefix => $prefix,
    url    => 'http://downloads.sourceforge.net/project/dcm4che/dcm4chee/2.17.1/dcm4chee-2.17.1-mysql.zip'
  }

  dcm4chee::unzip { $version:
    prefix => $prefix
  }

  exec { 'patch_install_scripts':
    # We use Ruby from OpenCSW, which will be installed as a puppet dependency.
    command     => "/opt/csw/bin/ruby -pi -e \"gsub(/ -v/, '')\" install_jboss.sh install_arr.sh",
    refreshonly => true,
    subscribe   => Dcm4chee::Unzip[$version]
  }

  exec { 'install_jboss':
    command     => "${basedir}/bin/install_jboss.sh ${jboss_basedir}",
    refreshonly => true,
    subscribe   => [ Dcm4chee::Unzip[$version], Exec['patch_install_scripts'] ]
  }

  exec { 'install_dcm4chee_arr':
    command     => "${basedir}/bin/install_arr.sh ${dcm4chee_arr_basedir}",
    refreshonly => true,
    subscribe   => [ Dcm4chee::Unzip[$version], Exec['patch_install_scripts'] ]
  }

  file { $dcm4chee_basedir:
    ensure    => link,
    target    => $basedir,
    subscribe => Dcm4chee::Unzip[$version]
  }
}
