# == Class: dcm4chee
#
# Full description of class dcm4chee here.
#
# === Parameters
#
# Document parameters here.
#
# [*sample_parameter*]
#   Explanation of what this parameter affects and what it defaults to.
#   e.g. "Specify one or more upstream ntp servers as an array."
#
# === Variables
#
# Here you should define a list of variables that this module would require.
#
# [*sample_variable*]
#   Explanation of how this variable affects the funtion of this class and if it
#   has a default. e.g. "The parameter enc_ntp_servers must be set by the
#   External Node Classifier as a comma separated list of hostnames." (Note,
#   global variables should not be used in preference to class parameters  as of
#   Puppet 2.6.)
#
# === Examples
#
#  class { dcm4chee:
#    servers => [ 'pool.ntp.org', 'ntp.local.company.com' ]
#  }
#
# === Authors
#
# Author Name <author@domain.com>
#
# === Copyright
#
# Copyright 2011 Your name here, unless otherwise noted.
#
class dcm4chee (
  $prefix    = '/usr/local',
  $basedir   = "${prefix}/dcm4chee",
  $java_opts = ['-Xms128m', '-Xmx512m', '-XX:MaxPermSize=128m', '-Dsun.rmi.dgc.client.gcInterval=3600000', '-Dsun.rmi.dgc.server.gcInterval=3600000']
) {
  class { 'dcm4chee::install':
    prefix  => $prefix,
    basedir => $basedir
  }

  class { 'dcm4chee::config':
    basedir   => $basedir,
    java_opts => $java_opts,
    require   => Class['dcm4chee::install']
  }

  class { 'dcm4chee::service':
    basedir   => $basedir,
    subscribe => Class['dcm4chee::config']
  }
}
