class dcm4chee::jai_imageio ( $prefix, $dcm4chee_basedir ) {
  $version = 'jai_imageio-1_1'
  $basedir = "${prefix}/${version}"

  File {
    owner   => 'root',
    group   => 'root',
    mode    => '0644',
    require => Exec["untar_${version}"]
  }

  dcm4chee::download { $version:
    prefix => $prefix,
    url    => 'http://download.java.net/media/jai-imageio/builds/release/1.1/jai_imageio-1_1-lib-solaris-amd64.tar.gz'
  }

  exec { "untar_${version}":
    cwd       => $prefix,
    command   => '/usr/bin/tar -xf jai_imageio-1_1-lib-solaris-amd64.tar.gz',
    creates   => $basedir,
    logoutput => on_failure,
    require   => Dcm4chee::Download[$version]
  }

  file { "${dcm4chee_basedir}/server/default/lib/jai_imageio.jar":
    source => "${basedir}/lib/jai_imageio.jar",
  }

  file { "${dcm4chee_basedir}/server/default/lib/clibwrapper_jiio.jar":
    source => "${basedir}/lib/clibwrapper_jiio.jar",
  }

  file { "${dcm4chee_basedir}/bin/native/libclib_jiio.so":
    source => "${basedir}/lib/libclib_jiio.so",
  }

  file { ["${dcm4chee_basedir}/bin/native/clib_jiio.dll",
          "${dcm4chee_basedir}/bin/native/clib_jiio_sse2.dll",
          "${dcm4chee_basedir}/bin/native/clib_jiio_util.dll"]:
    ensure => absent
  }
}
