class dcm4chee::service ( $basedir ) {
  $init_script  = "${basedir}/bin/dcm4chee_init_solaris.sh"
  $manifest     = '/lib/svc/manifest/application/dcm4chee.xml'

  File {
    owner => 'root',
    group => 'root',
  }

  file { $init_script:
    content => template('dcm4chee/dcm4chee_init_solaris.sh.erb'),
    mode    => '0755'
  }

  file { $manifest:
    content => template('dcm4chee/dcm4chee.xml.erb'),
    mode    => '0644'
  }

  exec { 'manifest_import':
    # Note: Importing manifests has changes in S11 (see https://blogs.oracle.com/SolarisSMF/entry/changes_to_svccfg_import_and)!
    command     => '/usr/sbin/svcadm restart svc:/system/manifest-import && while sleep 1; do /usr/bin/svcs dcm4chee && break; done',
    logoutput   => on_failure,
    refreshonly => true,
    subscribe   => [ File[$init_script], File[$manifest] ]
  }

  service { 'dcm4chee':
    ensure    => running,
    enable    => true,
    subscribe => Exec['manifest_import']
  }
}
