require 'spec_helper'

describe 'dcm4chee::config' do
  let(:params) { {:basedir => '/usr/local/dcm4chee-2.17.1-mysql', :java_opts => ['-hello', '-world']} }
  let(:file) { '/usr/local/dcm4chee-2.17.1-mysql/bin/run.conf' }
  let(:java_opts) { %r{^\s*JAVA_OPTS="-d64 -hello -world"} }

  it { should contain_file(file).with(
    :owner => 'root',
    :group => 'root',
    :mode  => '0644'
  )}

  it do
    should contain_file(file).with_content(java_opts)
  end
end
