require 'spec_helper'

describe 'dcm4chee::dcm4chee' do
  let(:params) { {:prefix => '/usr/local',
                  :dcm4chee_basedir => '/usr/local/dcm4chee',
                  :jboss_basedir => '/usr/local/jboss-4.2.3.GA',
                  :dcm4chee_arr_basedir => '/usr/local/dcm4chee-arr-3.0.11-mysql'} }

  before do
    @prefix = '/usr/local/dcm4chee-2.17.1-mysql'
  end

  it { should contain_dcm4chee__download('dcm4chee-2.17.1-mysql').with(
    :prefix => '/usr/local',
    :url    => 'http://downloads.sourceforge.net/project/dcm4che/dcm4chee/2.17.1/dcm4chee-2.17.1-mysql.zip'
  )}

  it { should contain_dcm4chee__unzip('dcm4chee-2.17.1-mysql').with(
    :prefix => '/usr/local'
  )}

  it { should contain_exec('patch_install_scripts').with(
    :cwd         => "#{@prefix}/bin",
    :command     => "/opt/csw/bin/ruby -pi -e \"gsub(/ -v/, '')\" install_jboss.sh install_arr.sh",
    :logoutput   => 'on_failure',
    :refreshonly => true,
    :subscribe   => 'Dcm4chee::Unzip[dcm4chee-2.17.1-mysql]'
  )}

  it { should contain_exec('install_dcm4chee_arr').with(
    :cwd         => "#{@prefix}/bin",
    :command     => "#{@prefix}/bin/install_arr.sh /usr/local/dcm4chee-arr-3.0.11-mysql",
    :logoutput   => 'on_failure',
    :refreshonly => true,
    :subscribe   => [ 'Dcm4chee::Unzip[dcm4chee-2.17.1-mysql]', 'Exec[patch_install_scripts]' ]
  )}

  it { should contain_exec('install_jboss').with(
    :cwd         => "#{@prefix}/bin",
    :command     => "#{@prefix}/bin/install_jboss.sh /usr/local/jboss-4.2.3.GA",
    :logoutput   => 'on_failure',
    :refreshonly => true,
    :subscribe   => [ 'Dcm4chee::Unzip[dcm4chee-2.17.1-mysql]', 'Exec[patch_install_scripts]' ]
  )}

  it { should contain_file('/usr/local/dcm4chee').with(
    :ensure    => 'link',
    :target    => @prefix,
    :subscribe => 'Dcm4chee::Unzip[dcm4chee-2.17.1-mysql]'
  )}
end
