require 'spec_helper'

describe 'dcm4chee' do
  let(:prefix)  { '/usr/local' }
  let(:basedir) { '/usr/local/dcm4chee' }
  let(:params)  { {:prefix => prefix} }

  it { should contain_class('dcm4chee::install').with(
    :prefix  => prefix,
    :basedir => basedir
  )}

  it { should contain_class('dcm4chee::config').with(
    :basedir   => basedir,
    :java_opts => ['-Xms128m', '-Xmx512m', '-XX:MaxPermSize=128m', '-Dsun.rmi.dgc.client.gcInterval=3600000', '-Dsun.rmi.dgc.server.gcInterval=3600000'],
    :require   => 'Class[Dcm4chee::Install]'
  )}

  it { should contain_class('dcm4chee::service').with(
    :basedir   => basedir,
    :subscribe => 'Class[Dcm4chee::Config]'
  )}
end
