require 'spec_helper'

describe 'dcm4chee::install' do
  let(:prefix)  { '/usr/local' }
  let(:basedir) { '/usr/local/dcm4chee' }
  let(:params)  { {:prefix => prefix, :basedir => basedir} }

  it { should contain_file(prefix).with(
    :ensure => 'directory',
    :owner  => 'root',
    :group  => 'root',
    :mode   => '0644'
  )}

  it { should contain_class('dcm4chee::jboss').with(
    :prefix  => prefix,
    :require => "File[#{prefix}]",
    :before  => 'Class[Dcm4chee::Dcm4chee]'
  )}

  it { should contain_class('dcm4chee::dcm4chee_arr').with(
    :prefix  => prefix,
    :require => "File[#{prefix}]",
    :before  => 'Class[Dcm4chee::Dcm4chee]'
  )}

  it { should contain_class('dcm4chee::dcm4chee').with(
    :prefix               => prefix,
    :dcm4chee_basedir     => basedir,
    :jboss_basedir        => '/usr/local/jboss-4.2.3.GA',
    :dcm4chee_arr_basedir => '/usr/local/dcm4chee-arr-3.0.11-mysql',
    :require              => "File[#{prefix}]",
    :before               => 'Class[Dcm4chee::Jai_imageio]'
  )}

  it { should contain_class('dcm4chee::jai_imageio').with(
    :prefix           => prefix,
    :dcm4chee_basedir => basedir,
    :require          => "File[#{prefix}]"
  )}
end
