require 'spec_helper'

describe 'dcm4chee::jai_imageio' do
  let(:params) { {:prefix => '/usr/local', :dcm4chee_basedir => '/usr/local/dcm4chee-2.17.1-mysql'} }

  before do
    @prefix = '/usr/local/dcm4chee-2.17.1-mysql'
  end

  it { should contain_dcm4chee__download('jai_imageio-1_1').with(
    :prefix => '/usr/local',
    :url    => 'http://download.java.net/media/jai-imageio/builds/release/1.1/jai_imageio-1_1-lib-solaris-amd64.tar.gz'
  )}

  it { should contain_exec('untar_jai_imageio-1_1').with(
    :cwd       => '/usr/local',
    :command   => '/usr/bin/tar -xf jai_imageio-1_1-lib-solaris-amd64.tar.gz',
    :logoutput => 'on_failure',
    :creates   => '/usr/local/jai_imageio-1_1',
    :require   => 'Dcm4chee::Download[jai_imageio-1_1]'
  )}

  it { should contain_file("#{@prefix}/server/default/lib/jai_imageio.jar").with(
    :source  => "/usr/local/jai_imageio-1_1/lib/jai_imageio.jar",
    :owner   => 'root',
    :group   => 'root',
    :mode    => '0644',
    :require => 'Exec[untar_jai_imageio-1_1]'
  )}

  it { should contain_file("#{@prefix}/server/default/lib/clibwrapper_jiio.jar").with(
    :source  => "/usr/local/jai_imageio-1_1/lib/clibwrapper_jiio.jar",
    :owner   => 'root',
    :group   => 'root',
    :mode    => '0644',
    :require => 'Exec[untar_jai_imageio-1_1]'
  )}

  it { should contain_file("#{@prefix}/bin/native/libclib_jiio.so").with(
    :source  => "/usr/local/jai_imageio-1_1/lib/libclib_jiio.so",
    :owner   => 'root',
    :group   => 'root',
    :mode    => '0644',
    :require => 'Exec[untar_jai_imageio-1_1]'
  )}

  [ 'clib_jiio.dll', 'clib_jiio_sse2.dll', 'clib_jiio_util.dll' ].each do |file|
     it { should contain_file("#{@prefix}/bin/native/#{file}").with(
       :ensure  => 'absent',
       :require => 'Exec[untar_jai_imageio-1_1]'
     )}
   end
end
